Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.tree.nodes
Class TestCaseTreeNode.TestStepsTreeNode

    java.lang.Object
      com.eviware.soapui.model.tree.AbstractTreeNode<WsdlTestStepsModelItem>
          com.eviware.soapui.model.tree.nodes.TestCaseTreeNode.TestStepsTreeNode

All Implemented Interfaces:
  SoapUITreeNode

Enclosing class:
  TestCaseTreeNode

    public class TestCaseTreeNode.TestStepsTreeNode

extends AbstractTreeNode<WsdlTestStepsModelItem>

Constructor Summary
`protected` | `TestCaseTreeNode.TestStepsTreeNode()`

Method Summary
`ActionList` | `getActions()`
`int` | `getChildCount()`
`SoapUITreeNode` | `getChildNode(int index)`
`int` | `getIndexOfChild(java.lang.Object child)`
`SoapUITreeNode` | `getParentTreeNode()`
`void` | `release()`
`void` | `testStepInserted(TestStep testStep, int index)`
`void` | `testStepMoved(TestStep testStep, int fromIndex, int offset)`
`void` | `testStepRemoved(TestStep testStep, int index)`

Methods inherited from class com.eviware.soapui.model.tree.AbstractTreeNode
`getModelItem, getPopup, isLeaf, reorder, toString, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestCaseTreeNode.TestStepsTreeNode

    protected TestCaseTreeNode.TestStepsTreeNode()

Method Detail

### getChildCount

    public int getChildCount()

### getIndexOfChild

    public int getIndexOfChild(java.lang.Object child)

### getChildNode

    public SoapUITreeNode getChildNode(int index)

### getParentTreeNode

    public SoapUITreeNode getParentTreeNode()

### testStepInserted

    public void testStepInserted(TestStep testStep,
                                 int index)

### testStepRemoved

    public void testStepRemoved(TestStep testStep,
                                int index)

### testStepMoved

    public void testStepMoved(TestStep testStep,
                              int fromIndex,
                              int offset)

### getActions

    public ActionList getActions()

  Specified by:
    `getActions` in interface `SoapUITreeNode`
  Overrides:
    `getActions` in class `AbstractTreeNode<WsdlTestStepsModelItem>`

### release

    public void release()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.